Subject: Re: [PATCH] gnu: unicorn: Update to 2.0.1.post1

From: Sören Tempel <[email-masked]>
Date: Tue, 24 Oct 2023 17:38:14 +0200

Hi,

I can confirm that this patch builds locally. I can also confirm that
the Python bindings work as intended. The Unicorn version presently
shipped by Guix is very ancient and doesn't build at the moment (fails
test). As such, it would be cool if this patch could be merged.

I am currently working on a Guix package for angr <https://angr.io/> and
need Unicorn 2.X for this (with the patch my angr Guix package works as
intended). I would also be willing to revise the patch in case OP isn't
active any more.

Let me know if any changes are needed (CC'd the mentors, hope that's ok).

Greetings,
Sören Tempel